Bug 1017021 - Properties tab for components are not shown properly when new component is inserted
Properties tab for components are not shown properly when new component is in...
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Camel (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER8
: 6.0.0
Assigned To: kconner
Andrej Podhradsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 03:26 EDT by Jiri Sedlacek
Modified: 2015-08-02 19:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
eclipse log (30.38 KB, text/x-log)
2013-10-11 01:48 EDT, Jiri Sedlacek
no flags Details

  None (edit)
Description Jiri Sedlacek 2013-10-09 03:26:54 EDT
My steps:
1. create new switchyard project
2. open switchyard.xml in editor
3. add camel route (xml)
4. open route.xml in graphical editor
5. add some new component (e.g. log endpoint)
6. click on some component to alter properties - properties tab is not updated.
Comment 1 Lars Heinemann 2013-10-10 16:31:19 EDT
Could you try to do it again and then have a look at the console / error log to see if there are some exceptions?
Also I know that the properties view has some toolbar button which makes the view stick to the last selection. ("Pin this property view to the last selection" is the tooltip) 
Could you check if that was enabled? If yes, please disable it.
Comment 2 Jiri Sedlacek 2013-10-11 01:48:19 EDT
Created attachment 810870 [details]
eclipse log

what is printed to the eclipse .log when Log endpoint is inserted is in the attached file.
Comment 3 Jiri Sedlacek 2013-10-11 01:53:11 EDT
"Pin this property view to the last selection" was disabled.

another way how to reach not updated properties tab: 

5. click some components (properties can be edited now)
6. switch properties tab to console tab and back, now properties cannot be edited, even if component is still selected
7. if you select different component, properties are still not there
Comment 4 Lars Heinemann 2013-10-11 02:06:45 EDT
In the log file you find several stack traces like that:

java.lang.UnsupportedOperationException: Please use DataMapping.getBusinessObject(PictogramLink link)

Can you check if this exception occurs when you select a component to show it in the properties tab?
Comment 5 Jiri Sedlacek 2013-10-11 02:45:50 EDT
it does, please see https://bugzilla.redhat.com/show_bug.cgi?id=1017006
Comment 6 Lars Heinemann 2013-10-11 02:48:36 EDT
I saw this issue too, thats why I asked if those two bugs could be related. In my opinion this bug here is just a follow up fault of the 1017006 issue.
Comment 7 kconner 2013-11-12 10:37:01 EST
From Lars' comment this would appear to be another symptom of 1017006 which has been addressed.
Comment 8 Andrej Podhradsky 2014-01-16 12:19:41 EST
Verified with JBDS-IS 7.0.0.CR2

Note You need to log in before you can comment on or make changes to this bug.